无法安装命令行工具,“xcode-select --install”不起作用

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (6839)

我不知道如何在OSX Mavericks上安装命令行工具。或者更好:我知道该怎么做(我只是在另一台MacBook上做过),但这次出了问题。

发生了什么:

  • 我在OSX Mavericks上安装Homebrew
  • Homebrew让我安装CLT并为此运行GUI
  • 我犯了一个错误:我安装XCode而不是CLT,但我发现CLT没有安装它

警告:未安装开发人员工具。 您应该安装命令行工具。 运行`xcode-select --install`来安装它们。

用法:xcode-select -print-path 或:xcode-select -switch 或:xcode-select -version 参数: -print-path打印当前Xcode文件夹 的路径-switch xcode_folder_path设置当前Xcode文件夹的路径 -version打印xcode-select版本信息

我想我应该看一下我在开始时看到的GUI(截图),让我安装CLT。

有谁知道如何再次运行该GUI?

提问于
用户回答回答于
用户回答回答于

您所拥有的探测器可能是您的旧版本xcode-select没有该--install选项。我有同样的问题,并且运行xcode-select --version显示我有2003版本,这是一个旧版本。

您可能需要做的是恢复OSX Mavericks附带的原始xcode-select系统垫片,这样它将正确引用您安装的任何新的xcode或CLT版本,而不是永远停留在旧版本上。

这篇博文详细介绍了这个问题:http//magnemg.tumblr.com/post/113251602430/how-to-completely-uninstall-osx-gcc-installer

以下是原始OSX Mavericks系统垫片的torrent(从原始安装程序中提取),因此您无需再次下载并重新安装整个操作系统:https//archive.org/details/completely_uninstall_osx-gcc-installer

希望这可以帮助任何可能偶然发现这个问题的人。

扫码关注云+社区

领取腾讯云代金券